/*
 * ************************************
 *  scoring
 * ************************************
 * 
 *  Created on: 16.01.2006
 *  Author: 	Harald Wendel
 *
 *  Revision:   $Revision$
 * 
 */
package scoring;

import scoring.index.Query;

/**
 * @author hardi
 *
 */
public class Description {
	
	private Query	query;
	private Float	queryWeights[]; 
	private Float 	documentWeights[];
	private Float   queryFrequencies[];
	private Float   documentFrequencies[];
	private float 	documentVectorLenght;
	private float	queryVectorLength;
	private float	dotProduct;
	
	public Description() {	
	}

	public Query getQuery() {
		return query;
	}

	public void setQuery(Query query) {
		this.query = query;
	}

	public float getDocumentVectorLenght() {
		return documentVectorLenght;
	}

	public void setDocumentVectorLenght(float documentVectorLenght) {
		this.documentVectorLenght = documentVectorLenght;
	}

	public float getQueryVectorLength() {
		return queryVectorLength;
	}

	public void setQueryVectorLength(float queryVectorLength) {
		this.queryVectorLength = queryVectorLength;
	}

	public float getDotProduct() {
		return dotProduct;
	}

	public void setDotProduct(float dotProduct) {
		this.dotProduct = dotProduct;
	}

	public Float[] getDocumentFrequencies() {
		return documentFrequencies;
	}

	public void setDocumentFrequencies(Float[] documentFrequencies) {
		this.documentFrequencies = documentFrequencies;
	}

	public Float[] getDocumentWeights() {
		return documentWeights;
	}

	public void setDocumentWeights(Float[] documentWeights) {
		this.documentWeights = documentWeights;
	}

	public Float[] getQueryFrequencies() {
		return queryFrequencies;
	}

	public void setQueryFrequencies(Float[] queryFrequencies) {
		this.queryFrequencies = queryFrequencies;
	}

	public Float[] getQueryWeights() {
		return queryWeights;
	}

	public void setQueryWeights(Float[] queryWeights) {
		this.queryWeights = queryWeights;
	}

	
	
}
