/*
 * ************************************
 *  scoring
 * ************************************
 * 
 *  Created on: 12.12.2005
 *  Author: 	Harald Wendel
 *
 *  Revision:   $Revision$
 * 
 */
package scoring;

import java.util.Comparator;

/**
 * @author hardi
 *
 */
public class HitComparator implements Comparator<Hit> {

	public int compare(Hit hit1, Hit hit2) {
		
		float score1 = hit1.getScore();
		float score2 = hit2.getScore();
		
		if (score1 < score2) {
			
			return 1;
			
		} else if (score1 > score2) {
			
			return -1;
			
		} else {
			
			return 1;
		}
	}

}
