/*
 * ************************************
 *  scoring
 * ************************************
 * 
 *  Created on: 18.01.2006
 *  Author: 	Harald Wendel
 *
 *  Revision:   $Revision: 1.1 $
 * 
 */
package scoring;

import java.util.Set;
import java.util.TreeSet;

/**
 * @author Harald Wendel
 */
public abstract class Analyzer {
	
	private Set<String> stopSet;

	public Analyzer(String stopWords[]) {
		stopSet = new TreeSet<String>();
		for (String stopWord : stopWords) {
			stopSet.add(stopWord);
		}
	}
	
	public boolean contains(String word) {
		return stopSet.contains(word);
	}
	
	

}
