/*
 * ************************************
 *  scoring
 * ************************************
 * 
 *  Created on: 12.12.2005
 *  Author: 	Harald Wendel
 *
 *  Revision:   $Revision$
 * 
 */
package scoring;

import scoring.index.Index;
import scoring.index.Query;


/**
 * @author hardi
 *
 */
public interface Scorer {
	
	public float score(Index index, int docId, boolean weighted, 
			Query query, Description desc);

}
