/*
 * =================================== 
 *  metabase
 * ===================================
 * 
 *  File: 		StopWordAnalyzer.java
 *  Created on: 06.08.2005
 *  Author: 	Harald Wendel
 * 
 */
package scoring;


/**
 * @author Harald Wendel
 * @version $Revision: 1.1 $
 */
public class StopWordAnalyzer extends Analyzer {
    
    private static final String[] STOP_WORDS = { "der", "die", "das", "den",
            "dem", "ein", "einer", "eine", "eines", "denn", "an", "am", "um",
            "zu", "zum", "hat", "haben", "ich", "er", "sie", "es", "kein",
            "keine", "keiner", "ist", "sein", "sind", "kann", "bei", "wenn",
            "wen", "wie", "wo", "was", "ob", "und", "oder", "nun", "jetzt",
            "in", "im", "fr", "falls", "aber", "auf", "unter", "nicht",
            "solch", "solche", "mit", "a", "and", "are", "as", "at", "be",
            "but", "by", "for", "if", "in", "into", "is", "it", "no", "not",
            "of", "on", "or", "s", "such", "t", "that", "the", "their", "then",
            "there", "these", "they", "this", "to", "was", "will", "with" };

    public StopWordAnalyzer() {
        super(STOP_WORDS);
    }
    
   

}
